Page MenuHomePhabricator

Redirect arrows missing SVG versions
Closed, ResolvedPublic

Description

Redirect arrows (in resources/src/mediawiki.action/images, such as the one seen on [[File:Sample redirect page.jpg]]) are missing SVG versions.

The PNG ones should also be redone with proper transparency and stuff.


Version: 1.24rc
Severity: normal
Whiteboard: gci2014

Details

Reference
bz70538
Related Gerrit Patches:

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 3:57 AM
bzimport set Reference to bz70538.
bzimport added a subscriber: Unknown Object (MLST).
matmarex created this task.Sep 7 2014, 11:20 PM

I have both PNG and SVG version of these arrows created. Looking in MW core, I'm not sure where they would go. Could someone suggest a way to submit these?

The image files are in the resources/src/mediawiki.action/images/ directory. The CSS that uses them is resources/src/mediawiki.action/mediawiki.action.view.redirectPage.css.

If you're having trouble with git/gerrit, there's a quick guide at https://www.mediawiki.org/wiki/Gerrit/Getting_started and a long tutorial at https://www.mediawiki.org/wiki/Gerrit/Tutorial .

Change 177666 had a related patch set uploaded (by Bartosz Dziewoński):
Add SVG versions of table pager and redirect icons

https://gerrit.wikimedia.org/r/177666

Patch-For-Review

Ckoerner, since you've already uploaded a patch, I cut out this part from Ljudusika's one (https://gerrit.wikimedia.org/r/177666).

Change 177094 had a related patch set uploaded (by Bartosz Dziewoński):
Update redirect arrows to use SVG versions

https://gerrit.wikimedia.org/r/177094

Patch-For-Review

matmarex closed this task as Resolved.Dec 4 2014, 10:44 PM
matmarex assigned this task to Ckoerner.
matmarex removed a project: Patch-For-Review.
matmarex set Security to None.
matmarex removed a subscriber: Unknown Object (MLST).

Change 177094 merged by jenkins-bot:
Update redirect arrows to use SVG versions

https://gerrit.wikimedia.org/r/177094